Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.saml
Class Statement

    java.lang.Object
      org.deegree.ogcwebservices.wass.saml.Statement

    public class Statement

extends Object

Encapsulated data: Statement elements Namespace: http://urn:oasis:names:tc.SAML:1.0:assertion

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`Statement(Subject subject, ArrayList<String> actions, ArrayList<URI> actionNamespaces, ArrayList<Assertion> assertions, String[] assertionIDs, URI resource, String decision)`
`Statement(Subject subject, ArrayList<String> attributeNames, ArrayList<URI> attributeNamespaces, ArrayList<String[]> attributeValues)`
`Statement(Subject subject, URI authenticationMethod, Date authenticationInstant)`

Method Summary
`ArrayList<URI>` | `getActionNamespaces()`
`ArrayList<String>` | `getActions()`
`String[]` | `getAssertionIDs()`
`ArrayList<Assertion>` | `getAssertions()`
`ArrayList<String>` | `getAttributeNames()`
`ArrayList<URI>` | `getAttributeNamespaces()`
`ArrayList<String[]>` | `getAttributeValues()`
`Date` | `getAuthenticationInstant()`
`URI` | `getAuthenticationMethod()`
`URI` | `getBinding()`
`String` | `getDecision()`
`String` | `getDns()`
`String` | `getIp()`
`QualifiedName` | `getKind()`
`URI` | `getLocation()`
`URI` | `getResource()`
`Subject` | `getSubject()`
`boolean` | `isAttributeStatement()`
`boolean` | `isAuthenticationStatement()`
`boolean` | `isAuthorizationDecisionStatement()`
`void` | `setAuthorityBinding(QualifiedName kind, URI location, URI binding)`
`void` | `setDNS(String dns)`
`void` | `setIP(String ip)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement(Subject subject,
                     URI authenticationMethod,
                     Date authenticationInstant)

Parameters:
  `subject` -
  `authenticationMethod` -
  `authenticationInstant` -

### Statement

    public Statement(Subject subject,
                     ArrayList<String> actions,
                     ArrayList<URI> actionNamespaces,
                     ArrayList<Assertion> assertions,
                     String[] assertionIDs,
                     URI resource,
                     String decision)

Parameters:
  `subject` -
  `actions` -
  `actionNamespaces` -
  `assertions` -
  `assertionIDs` -
  `resource` -
  `decision` -

### Statement

    public Statement(Subject subject,
                     ArrayList<String> attributeNames,
                     ArrayList<URI> attributeNamespaces,
                     ArrayList<String[]> attributeValues)

Parameters:
  `subject` -
  `attributeNames` -
  `attributeNamespaces` -
  `attributeValues` -

Method Detail

### isAuthenticationStatement

    public boolean isAuthenticationStatement()

  Returns:
    true, if the encapsulated data is an AuthenticationStatement

### isAuthorizationDecisionStatement

    public boolean isAuthorizationDecisionStatement()

  Returns:
    true, if the encapsulated data is an AuthorizationDecisionStatement

### isAttributeStatement

    public boolean isAttributeStatement()

  Returns:
    true, if the encapsulated data is an AttributeStatement

### setIP

    public void setIP(String ip)

  Parameters:
    `ip` -

### setDNS

    public void setDNS(String dns)

  Parameters:
    `dns` -

### setAuthorityBinding

    public void setAuthorityBinding(QualifiedName kind,
                                    URI location,
                                    URI binding)

  Parameters:
    `kind` -
    `location` -
    `binding` -

### getActionNamespaces

    public ArrayList<URI> getActionNamespaces()

  Returns:
    Returns the actionNamespaces.

### getActions

    public ArrayList<String> getActions()

  Returns:
    Returns the actions.

### getAssertionIDs

    public String[] getAssertionIDs()

  Returns:
    Returns the assertionIDs.

### getAssertions

    public ArrayList<Assertion> getAssertions()

  Returns:
    Returns the assertions.

### getAttributeNames

    public ArrayList<String> getAttributeNames()

  Returns:
    Returns the attributeNames.

### getAttributeNamespaces

    public ArrayList<URI> getAttributeNamespaces()

  Returns:
    Returns the attributeNamespaces.

### getAttributeValues

    public ArrayList<String[]> getAttributeValues()

  Returns:
    Returns the attributeValues.

### getAuthenticationInstant

    public Date getAuthenticationInstant()

  Returns:
    Returns the authenticationInstant.

### getAuthenticationMethod

    public URI getAuthenticationMethod()

  Returns:
    Returns the authenticationMethod.

### getBinding

    public URI getBinding()

  Returns:
    Returns the binding.

### getDecision

    public String getDecision()

  Returns:
    Returns the decision.

### getDns

    public String getDns()

  Returns:
    Returns the dns.

### getIp

    public String getIp()

  Returns:
    Returns the ip.

### getKind

    public QualifiedName getKind()

  Returns:
    Returns the kind.

### getLocation

    public URI getLocation()

  Returns:
    Returns the location.

### getResource

    public URI getResource()

  Returns:
    Returns the resource.

### getSubject

    public Subject getSubject()

  Returns:
    Returns the subject.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org